Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453941 - Kernel 2.6.25 hangs on boot
Summary: Kernel 2.6.25 hangs on boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 12:23 UTC by Paulo Roma Cavalcanti
Modified: 2009-01-09 06:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:39:23 UTC


Attachments (Terms of Use)

Description Paulo Roma Cavalcanti 2008-07-03 12:23:33 UTC
Description of problem:

Kernel 2.6.25 series hangs on boot (Dell Vostro 1400 Laptop).

It never hangs when using kernels 2.6.23 or 2.6.24

Version-Release number of selected component (if applicable):

2.6.25.6-27 and 2.6.25.9-40

How reproducible:

Just boot Dell Vostro 1400

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Hangs on boot 3 out of 5 times.

Expected results:

Should boot always.

Additional info:

I have been having problems with kernel 2.6.25 on F8,
with my Dell Vostro 1400 laptop. The boot sometimes freezes,
very often, indeed

It just writes:

Decompressing Linux ....done.
Booting the kernel.

and then hangs forever, and I have to press the power down button.

The interesting thing is that if I suppress the quiet option in /etc/grub.conf
to have a verbose boot, It does not hang.

This makes me believe that this extra printing introduces a small delay
in the boot process, giving time to something initialize properly.

Windows Vista has been erased from the disk, which has only 4 primary
partitions:

Filesystem    Type    Size  Used Avail Use% Mounted on
/dev/sda2     ext3     20G   13G  6.3G  67% /
/dev/sda1     ext3     99M   30M   65M  32% /boot
/dev/sda4     ext3    124G   20G   99G  17% /home

/dev/sda3 is the swap partition (4GB=memory installed).

The system runs F8, fully updated. Core 2 Duo 2.4 GHz, 4GB of RAM,
nvidia 8400GS. Using AHCI on the bios (drive 160GB, 5400 rpm).

Comment 1 Pontus Enhager 2008-07-06 11:57:03 UTC
i _might_ be experiencing something alike on my desktop computer (Core2Duo as
well), frequent hangs (since end of F8) disabling quiet and rhgb option makes it
stable (tested since a week, no hang since then), enabling quiet yielded a hang
this morning

in my case it sometimes boots up, allows me to login and works for a while and
then hangs, sometimes hangs at boot before any user interaction

i can try to capture a dump on the serial console if wanted

Comment 2 Bug Zapper 2008-11-26 10:57:07 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-01-09 06:39:23 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.